Description

I need reverse order of optional_policy/ifndef introduced in #11934 because it fails to build:

Compiling targeted foreman module

foreman.te:413: Warning: miscfiles_read_certs() has been deprecated, please use miscfiles_read_gen

eric_certs() instead.

foreman.te":377:ERROR 'syntax error' at token 'docker_stream_connect' on line 7954:

            docker_stream_connect(passenger_t)

#line 377

/usr/bin/checkmodule:  error(s) encountered while parsing configuration

/usr/bin/checkmodule:  loading policy configuration from tmp/foreman.tmp

make[1]: Leaving directory `/builddir/build/BUILD/foreman-selinux-1.11.0/local-tmp-foreman'

make[1]: *** [tmp/foreman.mod] Error 1

make: *** [foreman.pp] Error 2

Associated revisions

Revision eb34a92f - 03/17/2016 05:33 AM - Lukas Zapletal 

fixes #13502 - introduced has_docker definition

We fail hard when docker is not present because it was part of core policy

and was moved to separate package in RHEL 7.2. We might change this to a

warning in future major release of RHEL.

History

#1 - 02/01/2016 11:20 AM - Lukas Zapletal

After taking second look, it might not be caused by the optional block, investigating. I guess SELinux broke the API again.

#2 - 02/02/2016 05:34 AM - Lukas Zapletal

- Subject changed from Build failure on RHEL 7.2 due to optional policy block: to Build failure on RHEL 7.2 - docker moved to separate package

Docker policy was removed from RHEL 7.2 base policy and moved to docker-selinux subpackage:

https://github.com/lzap/centos-selinux-interface/blob/master/centos-7.1-vs-7.2.diff

http://mirror.centos.org/centos/7.2.1511/extras/x86_64/Packages/

The package is is extras which is enabled by default in CentOS 7.

Therefore we only need to add a build RPM dependency. For runtime this is not required as this is in optional block, therefore this will only be loaded

when docker is present I believe. If this is not true, then we need to add "rhel-7-server-extras-rpms" to our installation instructions on RHEL 7.

#3 - 02/02/2016 07:40 AM - The Foreman Bot

- Status changed from New to Ready For Testing
https://projects.theforeman.org/issues/11934
https://github.com/lzap/centos-selinux-interface/blob/master/centos-7.1-vs-7.2.diff
http://mirror.centos.org/centos/7.2.1511/extras/x86_64/Packages/


- Pull request https://github.com/theforeman/foreman-selinux/pull/56 added

#4 - 02/02/2016 07:43 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/1006 added

#5 - 02/02/2016 07:45 AM - Lukas Zapletal

See also https://github.com/theforeman/foreman-selinux/pull/56

#6 - 03/17/2016 05:33 AM - Dominic Cleal

- Category set to Packaging

#7 - 03/17/2016 06:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset eb34a92f76ad59dc2360fde21cf91755d6ac33cd.

#8 - 03/17/2016 06:13 AM - Dominic Cleal

- translation missing: en.field_release set to 141
